sounds = {
	enabled = true,
	names = {
		"burp",
		"bzzt",
		"clck",
		"explos",
		"grate",
		"irismove",
		"laser",
		"ping",
		"slime",
	},
	load = function()
		for i = 1, #sounds.names do
			sounds[sounds.names[i]] = wav.load("sounds/" .. sounds.names[i] .. ".wav")
		end
	end,
	close = function()
		for i = 1, #sounds.names do
			sounds[sounds.names[i]]:close()
			sounds[sounds.names[i]] = nil
		end
	end,
	play = function(sound)
		if sounds.enabled then
			if audio.channel() == 0 then
				sounds[sound]:close()
				sounds[sound] = wav.load("sounds/" .. sound .. ".wav")
			end
			sounds[sound]:play()
		end
	end
}